### Class

# FwupdPlugin ChunkArray

#### Description [src]

    final class FwupdPlugin.ChunkArray : GObject.Object
    {
      /* No available fields */
    }

Create chunked data with address and index as required.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### fu_chunk_array_new_from_bytes

Chunks a linear blob of memory into packets, ensuring each packet is less that a specific transfer size.

since: 1.9.6

###### fu_chunk_array_new_from_stream

Chunks a linear stream into packets, ensuring each packet is less that a specific transfer size.

since: 2.0.2

###### fu_chunk_array_new_virtual

Chunks a virtual buffer memory into packets, ensuring each packet is less that a specific transfer size.

since: 2.0.2

#### Functions

###### fu_chunk_array_mutable_new

Chunks a mutable blob of memory into packets, ensuring each packet does not cross a package boundary and is less that a specific transfer size.

since: 2.1.2

###### fu_chunk_array_new

Chunks a linear blob of memory into packets, ensuring each packet does not cross a package boundary and is less that a specific transfer size.

since: 2.1.2

###### fu_chunk_array_to_string

Converts all the chunked packets in an array to a string representation.

since: 1.0.1

#### Instance methods

###### fu_chunk_array_index

Gets the next chunk.

since: 1.9.6

###### fu_chunk_array_length

Gets the number of chunks.

since: 1.9.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginChunkArrayClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.